| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Attributes | Properties | Private Member Functions | List of all members
IG.Lib.IdProxy Class Reference

Proxy class that stores the object's unique ID (generated by a static instance of the IdGenerator class) and provides functionality of IIdentifiable. More...

Inheritance diagram for IG.Lib.IdProxy:
[legend]
Collaboration diagram for IG.Lib.IdProxy:
[legend]

## Public Member Functions
| IdProxy (IdGenerator generator)
| Creates a new ID holder, with ID automatically generated by the specified ID generator. ID generator should be a static non-null class (e.g. initialized by initializer). More...
void | AssignId ()
| Assigns ID to this object that is process-unique across all object of this type and its derived types. More...

## Protected Attributes
int | _id

## Properties
int | Id`[get]`
| Gets unique ID of the current interpreter. Command Id is unique across all objects of this type and derived types. More...
Properties inherited from IG.Lib.IIdentifiable
int | Id`[get]`
| Returns unique ID (in the scope of a given type) of the current object. More...

## Private Member Functions
| IdProxy ()

## Detailed Description

Proxy class that stores the object's unique ID (generated by a static instance of the IdGenerator class) and provides functionality of IIdentifiable.

## Constructor & Destructor Documentation

IG.Lib.IdProxy.IdProxy | ( |  | ) |
| inline private

IG.Lib.IdProxy.IdProxy | ( | IdGenerator | generator | ) |
| inline

Creates a new ID holder, with ID automatically generated by the specified ID generator. ID generator should be a static non-null class (e.g. initialized by initializer).

Parameters

  generator |

References IG.Lib.IdGenerator.GetNewId().

## Member Function Documentation

void IG.Lib.IdProxy.AssignId | ( |  | ) |
| inline

Assigns ID to this object that is process-unique across all object of this type and its derived types.

## Member Data Documentation

int IG.Lib.IdProxy._id
| protected

## Property Documentation

int IG.Lib.IdProxy.Id
| get

Gets unique ID of the current interpreter. Command Id is unique across all objects of this type and derived types.

The documentation for this class was generated from the following file:

- igbase/utilities/UtilIdRegistration.cs